IPhysics: CMaterialManager Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CMaterialManager Class Reference

`#include <CMaterialManager.h>`

List of all members.

## Public Member Functions

| CMaterialManager ()
| Constructor for the class.
void | init (NewtonWorld *world)
| Initializes the class.
int | createMaterial ()
| Creates a new material group.
int | getDefaultMaterial ()
| Gets the default newton material.
void | isCollidable (int material1, int material2, bool collidable)
| Sets whether two materials should be collidable or not.
void | setFriction (int material1, int material2, f32 staticFriction, f32 kineticFriction)
| Sets the friction on collision of two materials.
void | setElasticity (int material1, int material2, f32 elasticity)
| Sets the elasticity on collision of two materials.
void | setSoftness (int material1, int material2, f32 softness)
| Sets the softness on collision of two materials.
void | setUserCollisionCallback (int material1, int material2, IMaterialCallback *callback)
| Sets the user callback for collision of two materials.
void | doContinuousCollision (int material1, int material2, bool continiousCollision)

## Private Attributes

NewtonWorld * | m_world

## Constructor & Destructor Documentation

CMaterialManager::CMaterialManager | ( |  | ) |

Constructor for the class.

Material Manager Class //////////////////// This class handles all calls to newton material manager.

## Member Function Documentation

void CMaterialManager::init | ( | NewtonWorld * | world | ) |

Initializes the class.

int CMaterialManager::createMaterial | ( |  | ) |

Creates a new material group.

int CMaterialManager::getDefaultMaterial | ( |  | ) |

Gets the default newton material.

void CMaterialManager::isCollidable | ( | int | material1,
|  | int | material2,
|  | bool | collidable |
| ) |  |  |

Sets whether two materials should be collidable or not.

void CMaterialManager::setFriction | ( | int | material1,
|  | int | material2,
|  | f32 | staticFriction,
|  | f32 | kineticFriction |
| ) |  |  |

Sets the friction on collision of two materials.

void CMaterialManager::setElasticity | ( | int | material1,
|  | int | material2,
|  | f32 | elasticity |
| ) |  |  |

Sets the elasticity on collision of two materials.

void CMaterialManager::setSoftness | ( | int | material1,
|  | int | material2,
|  | f32 | softness |
| ) |  |  |

Sets the softness on collision of two materials.

void CMaterialManager::setUserCollisionCallback | ( | int | material1,
|  | int | material2,
|  | IMaterialCallback * | callback |
| ) |  |  |

Sets the user callback for collision of two materials.

void CMaterialManager::doContinuousCollision | ( | int | material1,
|  | int | material2,
|  | bool | continiousCollision |
| ) |  |  |

Sets whether two materials should be continiously processed for collision.

## Member Data Documentation

NewtonWorld* CMaterialManager::m_world`[private]`

The documentation for this class was generated from the following files:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CMaterialManager.h
- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CMaterialManager.cpp